import { SettingRepository } from '@app/domain/settings/setting.repository';
import { UserSettings } from '@app/domain/settings/setting.model';

export class UpdateSettingsUseCase {
  constructor(private settingRepository: SettingRepository) {}

  execute(settings: UserSettings): void {
    return this.settingRepository.saveSettings(settings);
  }
}
